{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MDrawShapes.p}
{ Copyright  1986-1990 by Apple Computer, Inc. All rights reserved.}

PROGRAM DrawShapes;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		{  MacApp }
		UMacApp,

		{  Building Blocks }
		UPrinting, UBetterFeedbackCmd, UMenu, UTearOffMenu, UFloatWindow, UGridView, UDialog,

		{  Implementation Use }
		UDrawShapes;

	VAR
		gShapeApplication:	TShapeApplication;

{$S Main}

	BEGIN
	InitToolBox;										{ Essential toolbox and utilities
														  initialization }
	IF ValidateConfiguration(gConfiguration) THEN		{ Make sure we can run }
		BEGIN
		{ Continue with remainder of initialization }
		InitUMacApp(10);								{ Initialize MacApp; 10 calls to MoreMasters }
		InitUFloatWindow;								{ Initialize the float window unit }
		InitUGridView;									{ Initialize the grid view unit }
		InitUDialog;									{ Initialize other units }
		InitUPrinting;									{ Initialize the printing unit }

		InitUMenu;										{ Initialize the graphic menus unit }

		New(gShapeApplication); 						{ Allocate the Application object }
		FailNil(gShapeApplication);
		gShapeApplication.IShapeApplication;			{ Initialize it}

		gShapeApplication.Run;							{ Run it}
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);			{ Inform user we can't run. }
	END.
