/*
	Printing.r
	MacApp Printing Resources
	Copyright  1986-1990 Apple Computer, Inc.  All rights reserved.
*/

/*  Auto-Include the requirements for this source */
#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#define      phSpoolPrintDialog			257
#define      phFinderPrintDialog		258
#define      phNoPages					251
#define      phWhichDoc					261
#define      kPrinting					131


resource 'mem!' (kPrinting,
#if qNames
	"kPrinting",
#endif
	purgeable) {
	43 * 1024,			// Add to temporary reserve
	0,					// Add to permanent reserve
	0					// Add to stack space
};

resource 'DLOG' (phSpoolPrintDialog,
#if qNames
	"phSpoolPrintDialog",
#endif
	purgeable) {
	{118, 62, 224, 366},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phSpoolPrintDialog,
	""
};

resource 'DLOG' (phFinderPrintDialog,
#if qNames
	"phFinderPrintDialog",
#endif
	purgeable) {
	{110, 32, 220, 398},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phFinderPrintDialog,
	""
};

resource 'DLOG' (phWhichDoc,
#if qNames
	"phWhichDoc",
#endif
	purgeable) {
	{1, 1, 2, 2},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	phWhichDoc,
	""
};

resource 'DITL' (phNoPages,
#if qNames
	"phNoPages",
#endif
	purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{60, 182, 80, 262},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{10, 80, 50, 270},
		StaticText {
			enabled,
			"This document has no pages within the re"
			"quested range"
		};
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			enabled,
			1
		}
	}
};

resource 'DITL' (phSpoolPrintDialog,
#if qNames
	"phSpoolPrintDialog",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{72, 24, 92, 84},
		Button {
			enabled,
			"Cancel"
		};
		/* [4] */
		{16, 24, 60, 280},
		StaticText {
			disabled,
			"<<<>>> is now being printed."
		}
	}
};

resource 'DITL' (phFinderPrintDialog,
#if qNames
	"phFinderPrintDialog",
#endif
	purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{72, 16, 92, 76},
		Button {
			enabled,
			"Cancel"
		};
		/* [4] */
		{72, 96, 92, 246},
		Button {
			enabled,
			"Cancel All Printing"
		};
		/* [5] */
		{16, 50, 60, 330},
		StaticText {
			disabled,
			"<<<>>> is now being printed."
		}
	}
};

resource 'DITL' (phWhichDoc,
#if qNames
	"phWhichDoc",
#endif
	purgeable) {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{0, 0, 0, 0},
		UserItem {
			disabled
		}
	}
};

resource 'ALRT' (phNoPages,
#if qNames
	"phNoPages",
#endif
	purgeable) {
	{100, 120, 190, 392},
	phNoPages,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};

