{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MCards.p }
{ Copyright  1986-1990 by Apple Computer, Inc.  All rights reserved. }

PROGRAM Cards;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		{  MacApp }
		UMacApp,

		{  Building Blocks }
		UPrinting, UTEView,

		{  Implementation use }
		UCards;

	VAR
		gCardsApplication:	TCardsApplication;

{$S Main}

	BEGIN
	InitToolBox;										{ Essential toolbox and utilities
														  initialization }
	IF ValidateConfiguration(gConfiguration) THEN		{ Make sure we can run }
		BEGIN
		{ Continue with remainder of initialization }
		InitUMacApp(8); 								{ Initialize MacApp; 8 calls to MoreMasters }
		InitUPrinting;									{ Initialize printing }
		InitUTEView;									{ Initialize TextEdit views }

		New(gCardsApplication); 						{ allocate the Application object }
		FailNil(gCardsApplication);
		gCardsApplication.ICardsApplication;			{ Initialize; if ok then... }
		gCardsApplication.Run;							{ run the application }
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);
	END.
