{Copyright  1989 by Apple Computer, Inc.  All rights reserved.}

UNIT UIconEdit;


INTERFACE


USES
	UMacApp;
	
	
CONST kSignature = 'ICED';
	  kFileType = 'IDOC'; 


TYPE 
	TIconApplication = OBJECT(TApplication)

		PROCEDURE TIconApplication.IIconApplication(iconFileType: OSType);
			{Initializes the application and globals.}

		FUNCTION  TIconApplication.DoMakeDocument(itsCmdNumber: CmdNumber): TDocument; OVERRIDE;
			{ Creates a document of type TIconDocument and returns a reference to it.}

	END;

	TIconDocument = OBJECT(TDocument)

		PROCEDURE TIconDocument.IIconDocument;
			{ Initializes the document. }

		PROCEDURE TIconDocument.Free; OVERRIDE;
			{ Frees allocated memory when the document is closed. }

		PROCEDURE TIconDocument.DoInitialState; OVERRIDE;
			{ Sets the document's data to represent a "new" document. }

		PROCEDURE TIconDocument.DoMakeViews(forPrinting: boolean); OVERRIDE;
			{ Creates the windows to display the document's data. }

	END;


IMPLEMENTATION

	{$I UIconEdit.inc1.p}

END.