/*
	This file is for inclusion by the standalone Rez tool. It contains
	settings for the various compile-time variables used when preparing
	the resources for a MacApp application.
	
	
	To use this file, specify it as the first resource description file
	when using SARez. Optionally, you can #include it from one of your
	own Rez files; be sure to set SARez's #include paths accordingly.
	
*/

/*
	Basic debugging gear.
*/

#define qNames						1
#define qDebug						1
#define qInspector					1
#define qUnInit						0
#define qPerform					0
#define qRangeCheck					1
#define qWriteLnWin					1
#define qTrace						1

/*	Configuration settings	*/

/*	128K+ ROM requirement	*/

#define qNeedsROM128K				1

/*	Post-6.0 system software	*/

#define qNeedsScriptManager			1
#define qNeedsHierarchicalMenus		1
#define qNeedsStyleTextEdit			1
#define qNeedsWaitNextEvent			1

/*	Special system features	*/
#define qNeedsColorQD				0
#define qNeedsMC68020				0
#define qNeedsMC68030				0
#define qNeedsFPU					0

/*	View support	*/
#define qProceduralViews			1
#define qTemplateViews				1
#define qWriteTemplates				1

/*	SADE support. This should always be zero.	*/
#define qSym						0

#define THINK_Pascal
