PROGRAM TestCards;

{$MC68020-}
{$MC68881-}

USES
	UMacApp,
	ToolUtils,
	Resources,
	UPrinting,
	UTEView,
	UDialog,
	UGridView,
	UCRCCards,
	UItem,
	UCard,
	UDesignDocument,
	UMyViews,
	UMyCommands,
	UTextHandler;

VAR
	gCRCCardsApplication: TCRCCardsApplication;
	
BEGIN
	InitToolBox;
	IF ValidateConfiguration(gConfiguration) THEN
		BEGIN
			InitUMacApp(8);
			InitUPrinting;
			InitUTEView;
			InitUDialog;
			InitUGridView;	
			New(gCRCCardsApplication);
			FailNIL(gCRCCardsApplication);
			gCRCCardsApplication.ICRCCardsApplication(kFileType);
			gCRCCardsApplication.Run;
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);
END.
