/*
Created Tuesday, May 9, 1989 at 6:00 AM
	CRMSerialIntf.h
	C interface to the Communications Resource Manager Serial Device Utilities

	Copyright Apple Computer, Inc.  1988-90
	All rights reserved

*/

#ifndef __CRMSERIALDEVICES__
#define __CRMSERIALDEVICES__

#include <Types.h>

// 	for the crmDeviceType field of the CRMRec data structure
#define	crmSerialDevice		1			

//	version of the CRMSerialRecord below
#define	curCRMSerRecVers	0


struct CRMSerialRecord {
	short			version;
	StringHandle	inputDriverName;
	StringHandle	outputDriverName;
	
	StringHandle	name;
	
	Handle			deviceIcon;
	long			ratedSpeed;
	long			maxSpeed;
	
	long			reserved;
};

typedef struct CRMSerialRecord CRMSerialRecord;

typedef CRMSerialRecord *CRMSerialPtr;

#endif __CRMSERIALDEVICES__