{
Created: Friday, October 20, 1989 at 1:00 PM
	Language.p
	Pascal Interface to the Macintosh Libraries

	Copyright Apple Computer, Inc.	1986-1990
	All rights reserved

}


{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
	UNIT Language;
	INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingLanguage}
{$SETC UsingLanguage := 1}

CONST

{ Language Codes }

langEnglish = 0;
langFrench = 1;
langGerman = 2;
langItalian = 3;
langDutch = 4;
langSwedish = 5;
langSpanish = 6;
langDanish = 7;
langPortuguese = 8;														{ <x3> }
langPortugese = 8;		{ old misspelled version, kept for compatibility }
langNorwegian = 9;
langHebrew = 10;
langJapanese = 11;
langArabic = 12;
langFinnish = 13;
langGreek = 14;
langIcelandic = 15;
langMaltese = 16;														{ <x3> }
langMalta = 16;			{ old misspelled version, kept for compatibility }
langTurkish = 17;
langCroatian = 18;		{ Serbo-Croatian in Roman script }				{<x20>}
langYugoslavian = 18;	{ (use langCroatian, langSerbian, etc.) }		{<x20>}
langChinese = 19;		{ (use langTradChinese or langSimpChinese) }	{<x15>}
langTradChinese = 19;	{ Chinese in traditional characters }			{<x15>}
langUrdu = 20;
langHindi = 21;
langThai = 22;
langKorean = 23;														{<x1.7>}
langLithuanian = 24;													{<x3>}
langPolish = 25;														{<x3>}
langHungarian = 26;														{<x3>}
langEstonian = 27;														{<x3>}
langLettish = 28;														{<x3>}
langLatvian = 28;		{ Synonym for langLettish }						{<x20>}
langLapponian = 29;														{<x3>}
langLappish = 29;		{ Synonym for langLapponian }					{<x20>}
langFaeroese = 30;														{<x3>}
langFarsi = 31;															{<x3>}
langPersian = 31;		{ Synonym for langFarsi }						{<x20>}
langRussian = 32;														{<x3>}
langSimpChinese = 33;	{ Chinese in simplified characters }			{<x15>}
langFlemish = 34;		{ script is smRoman }							{<1>}
langIrish = 35;			{ script is smRoman }							{<1>}
langAlbanian = 36;		{ script is smRoman }							{<1>}
langRomanian = 37;		{ modified Roman script }						{<1>}
langCzech = 38;			{ Slavic Roman script }							{<1>}
langSlovak = 39;		{ Slavic Roman script }							{<1>}
langSlovenian = 40;		{ Slavic Roman script }							{<1>}
langYiddish = 41;		{ script is smHebrew }							{<1>}
langSerbian = 42;		{ Serbo-Croatian in Cyrillic script }			{<1>}
langMacedonian = 43;	{ script is smCyrillic }						{<1>}
langBulgarian = 44;		{ script is smCyrillic }						{<1>}
langUkrainian = 45;		{ script is smCyrillic }						{<1>}
langByelorussian = 46;	{ script is smCyrillic }						{<1>}
langUzbek = 47;			{ script is smCyrillic }						{<1>}
langKazakh = 48;		{ script is smCyrillic }						{<1>}
langAzerbaijani = 49;	{ Azerbaijani in Cyrillic script (USSR) }		{<1>}
langAzerbaijanAr = 50;	{ Azerbaijani in Arabic script (Iran) }			{<1>}
langArmenian = 51;		{ script is smArmenian }						{<1>}
langGeorgian = 52;		{ script is smGeorgian }						{<1>}
langMoldavian = 53;		{ Romanian in Cyrillic script }					{<1>}
langKirghiz = 54;		{ script is smCyrillic }						{<1>}
langTajiki = 55;		{ script is smCyrillic }						{<1>}
langTurkmen = 56;		{ script is smCyrillic }						{<1>}
langMongolian = 57;		{ Mongolian in Mongolian script }				{<1>}
langMongolianCyr = 58;	{ Mongolian in Cyrillic script }				{<1>}
langPashto = 59;		{ script is smArabic }							{<1>}
langKurdish = 60;		{ script is smArabic }							{<1>}
langKashmiri = 61;		{ script is smArabic }							{<1>}
langSindhi = 62;		{ script is smExtArabic }						{<1>}
langTibetan = 63;		{ script is smTibetan }							{<1>}
langNepali = 64;		{ script is smDevanagari }						{<1>}
langSanskrit = 65;		{ script is smDevanagari }						{<1>}
langMarathi = 66;		{ script is smDevanagari }						{<1>}
langBengali = 67;		{ script is smBengali }							{<1>}
langAssamese = 68;		{ script is smBengali }							{<1>}
langGujarati = 69;		{ script is smGujarati }						{<1>}
langPunjabi = 70;		{ script is smGurmukhi }						{<1>}
langOriya = 71;			{ script is smOriya }							{<1>}
langMalayalam = 72;		{ script is smMalayalam }						{<1>}
langKannada = 73;		{ script is smKannada }							{<1>}
langTamil = 74;			{ script is smTamil }							{<1>}
langTelugu = 75;		{ script is smTelugu }							{<1>}
langSinhalese = 76;		{ script is smSinhalese }						{<1>}
langBurmese = 77;		{ script is smBurmese }							{<1>}
langKhmer = 78;			{ script is smKhmer }							{<1>}
langLao = 79;			{ script is smLaotian }							{<1>}
langVietnamese = 80;	{ script is smVietnamese }						{<1>}
langIndonesian = 81;	{ script is smRoman }							{<1>}
langTagalog = 82;		{ script is smRoman }							{<1>}
langMalayRoman = 83;	{ Malay in Roman script }						{<1>}
langMalayArabic = 84;	{ Malay in Arabic script }						{<1>}
langAmharic = 85;		{ script is smEthiopic }						{<1>}
langTigrinya = 86;		{ script is smEthiopic }						{<1>}
langGalla = 87;			{ script is smEthiopic }						{<1>}
langOromo = 87;			{ Synonym for langGalla }						{<1>}
langSomali = 88;		{ script is smRoman }							{<1>}
langSwahili = 89;		{ script is smRoman }							{<1>}
langRuanda = 90;		{ script is smRoman }							{<1>}
langRundi = 91;			{ script is smRoman }							{<1>}
langChewa = 92;			{ script is smRoman }							{<1>}
langMalagasy = 93;		{ script is smRoman }							{<1>}
langEsperanto = 94;		{ modified Roman script }						{<1>}
langWelsh = 128;		{ script is smRoman }							{<1>}
langBasque = 129;		{ script is smRoman }							{<1>}
langCatalan = 130;		{ script is smRoman }							{<1>}
langLatin = 131;		{ script is smRoman }							{<1>}
langQuechua = 132;		{ script is smRoman }							{<1>}
langGuarani = 133;		{ script is smRoman }							{<1>}
langAymara = 134;		{ script is smRoman }							{<1>}
langTatar = 135;		{ script is smCyrillic }						{<1>}
langUighur = 136;		{ script is smArabic }							{<1>}
langDzongkha = 137;		{ (lang of Bhutan) script is smTibetan }		{<1>}
langJavaneseRom = 138;	{ Javanese in Roman script }					{<1>}
langSundaneseRom = 139;	{ Sundanese in Roman script }					{<1>}

{$ENDC}    { UsingLanguage }

{$IFC NOT UsingIncludes}
	END.
{$ENDC}

