/* Copyright Apple Computer, Inc. 1981-1988 */


type 'mxbm'{
	integer = $$CountOf(symbols);          /* Number of entries     */
	array symbols { pString; pString; };   /* Macro name; expansion */
};


/* These macros enable you to type "ATB FO<name>" as if FO<name> was a trap */

resource 'mxbm' (102) {
   {
	"FOADD",		"FP68K (SP+1)^.B=0",
	"FOSUB",		"FP68K (SP+1)^.B=2",
	"FOMUL",		"FP68K (SP+1)^.B=4",
	"FODIV",		"FP68K (SP+1)^.B=6",
	"FOCMP",		"FP68K (SP+1)^.B=9",
	"FOCPX",		"FP68K (SP+1)^.B=A",
	"FOREM",		"FP68K (SP+1)^.B=C",
	"FOZ2X",		"FP68K (SP+1)^.B=E",
	"FOX2Z",		"FP68K (SP+1)^.B=10",
	"FOSQRT",		"FP68K (SP+1)^.B=12",
	"FORTI",		"FP68K (SP+1)^.B=14",
	"FOTTI",		"FP68K (SP+1)^.B=16",
	"FOSCALB",		"FP68K (SP+1)^.B=18",
	"FOLOGB",		"FP68K (SP+1)^.B=1A",
	"FOCLASS",		"FP68K (SP+1)^.B=1C",

	"FOSETENV",		"FP68K (SP+1)^.B=1",
	"FOGETENV",		"FP68K (SP+1)^.B=3",
	"FOSETHV",		"FP68K (SP+1)^.B=5",
	"FOGETHV",		"FP68K (SP+1)^.B=7",
	"FOD2B",		"FP68K (SP+1)^.B=9",
	"FOB2D",		"FP68K (SP+1)^.B=B",
	"FONEG",		"FP68K (SP+1)^.B=D",
	"FOABS",		"FP68K (SP+1)^.B=F",
	"FOCPYSGN",		"FP68K (SP+1)^.B=11",
	"FONEXT",		"FP68K (SP+1)^.B=13",
	"FOSETXCP",		"FP68K (SP+1)^.B=15",
	"FOPROCENTRY",	"FP68K (SP+1)^.B=17",
	"FOPROCEXIT",	"FP68K (SP+1)^.B=19",
	"FOTESTXCP",	"FP68K (SP+1)^.B=1B",

	"FOLNX",		"ELEMS68K (SP+1)^.B=0",
	"FOLOG2X",		"ELEMS68K (SP+1)^.B=2",
	"FOLN1X",		"ELEMS68K (SP+1)^.B=4",
	"FOLOG21X",		"ELEMS68K (SP+1)^.B=6",
	"FOEXPX",		"ELEMS68K (SP+1)^.B=8",
	"FOEXP2X",		"ELEMS68K (SP+1)^.B=A",
	"FOEXP1X",		"ELEMS68K (SP+1)^.B=C",
	"FOEXP21X",		"ELEMS68K (SP+1)^.B=C",
	"FOXPWRI",		"ELEMS68K (SP+1)^.B=10",
	"FOXPWRY",		"ELEMS68K (SP+1)^.B=12",
	"FOCOMPOUND",	"ELEMS68K (SP+1)^.B=14",
	"FOANNUITY",	"ELEMS68K (SP+1)^.B=16",
	"FOSINX",		"ELEMS68K (SP+1)^.B=18",
	"FOCOSX",		"ELEMS68K (SP+1)^.B=1A",
	"FOTANX",		"ELEMS68K (SP+1)^.B=1C",
	"FOATANX",		"ELEMS68K (SP+1)^.B=1E",
	"FORANDX",		"ELEMS68K (SP+1)^.B=20",

	"FOPSTR2DEC",	"DecStr68K (SP+1)^.B=2",
	"FOCSTR2DEC",	"DecStr68K (SP+1)^.B=4",
	"FODEC2STRC",	"DecStr68K (SP+1)^.B=3",
   };
};
