/*[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]*/
/* UDebug.p */
/* Copyright  1985-1989 by Apple Computer, Inc.  All rights reserved. */
#ifndef  __UDebug__
#define __UDebug__  0
#endif
#if  ! __UDebug__
#define __UDebug__  1

		/*  Auto-Include the requirements for this unit's interface. */
#ifndef  __UMacAppUtilities__
#include "UMacAppUtilities.h"
#endif

const short kMaxFlags			= 20;					/* maximum flags that can be remembered by
                                                         the debugger */
const short kMaxSyms			= 20;
   /* maximum symbols remembered by the debugger
                                                         */

typedef enum {forceOn, forceOff, forceUnchanged} DebugForceOptions;

extern pascal Boolean gMastReport;						/* report changes in # master pointers
                                                         information */
extern pascal long gMaxStackDepth;						/* maximum stack space (checked in %_BP) */
extern pascal Str255 gReportInfo;						/* if gReportNext and gReportInfo <> '' info
                                                         to report on next %_BP or %_EP */
extern pascal Boolean gReportNext;						/* if set to TRUE, report the very next %_BP
                                                         or %_EP */
extern pascal Boolean gReportTime;
   /* if TRUE, report TickCount during tracing */
extern pascal Boolean gSingleStep;						/* if TRUE, break into debugger at next
                                                         opportunity */
extern pascal Boolean gTracing;

extern pascal Boolean DebugCanReadLn(void);

extern pascal Boolean DebugCanWriteLn(void);

extern pascal void GetCallersMethodName(StringPtr s);

extern pascal void GetMethodName(long ppc, StringPtr s);

extern pascal void GetProcName(long ppc, StringPtr className, StringPtr procName);

extern pascal void IDUDebug(void);

extern pascal Boolean TrcEnable(Boolean okToTrace);

#if  qPerform
extern pascal Boolean DebugPerfMonitor(Boolean turnOn);
#endif
#if  qDebug
extern pascal Ptr DebugCapture(Ptr captureProc);

extern pascal OSErr DebugRedirect(short vRefnum, StringPtr fileName);

extern pascal short DebugTranscriptWidth(void);

extern pascal void EnterMacAppDebugger(void);

extern pascal void DebugEndForce(void);

extern pascal void DebugFlag(PBoolean flagAddr, short flagChar, Ptr theActionProc, StringPtr 
   flagDesc);

extern pascal void DebugForceOutput(DebugForceOptions DebugToWindow, DebugForceOptions DebugToFile);

extern pascal void DebugGlobalHandle(Ptr globAddr, Ptr theActionProc, StringPtr *globSym);

extern pascal void DebugShowTranscriptWindow(void);

extern pascal void DebugTerminate(void);

extern pascal void InitUDebug(Handle segTable, Handle nonRes, Ptr enterProc, Ptr inspectProc, Ptr 
   symbolProc);

extern pascal void InitUDebugAfterIApplication(void);
#endif
#endif

