/*[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]*/
/*UInspector.p*/
/*Copyright  1987-1989 by Apple Computer, Inc.  All rights reserved.*/
#ifndef  __UInspector__
#define __UInspector__  0
#endif
#if  ! __UInspector__
#define __UInspector__  1

		/*  Required for this unit's interface. Auto-Include them */
#ifndef  __UObject__
#include "UObject.h"
#endif

		/*These routines make up the interface of the inspector to MacApp.*/

extern pascal void InitUInspector(void);
		/*Called during MacApp initialization.  Initializes this unit.*/

extern pascal void AddObjectToInspector(TObject *theObject);
		/*Called when a new object is created by New or cloning.*/

extern pascal void RemoveObjectFromInspector(TObject *theObject);
		/*Called when an object is freed.*/

extern pascal void MakeInspector(void);
		/*Called during MacApp initialization to make the Inspector document.  Must be
        called after creating gApplication.*/

extern pascal void MakeInspectorWindow(void);
		/*Called to make a new Inspector window.*/
#endif

