/*[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]*/
/* UViewCoords.p */
/* Copyright  1987-1989 by Apple Computer, Inc.  All rights reserved. */
#ifndef  __UVIEWCOORDS__
#define __UViewCoords__  0
#endif
#if  ! __UViewCoords__
#define __UViewCoords__  1

		/*  Auto-Include the requirements for this unit's interface. */
#ifndef  __UMacAppUtilities__
#include "UMacAppUtilities.h"
#endif

const short kMaxCoord			= 30000;
   /* largest possible QuickDraw view coordinate
                                                         (QuickDraw maximum minus slop for size of
                                                         screen) */

			/* Calculations with VPoints */

extern pascal void PtToVPt(Point thePt, VPoint *theVPt);

extern pascal Point VPtToPt(VPoint *theVPt);

extern pascal void AddVPt(VPoint *srcVPt, VPoint *dstVPt);

extern pascal void SubVPt(VPoint *srcVPt, VPoint *dstVPt);

extern pascal void SetVPt(VPoint *vPt, VCoordinate h, VCoordinate v);

extern pascal Boolean EqualVPt(VPoint *pt1, VPoint *pt2);

		/* Calculations with VRects */

extern pascal void RectToVRect(Rect *theRect, VRect *theVRect);

extern pascal void VRectToRect(VRect *theVRect, Rect *theRect);

extern pascal void SetVRect(VRect *r, VCoordinate left, VCoordinate top, VCoordinate right, 
   VCoordinate bottom);

extern pascal void OffsetVRect(VRect *r, VCoordinate dh, VCoordinate dv);

extern pascal void InsetVRect(VRect *r, VCoordinate dh, VCoordinate dv);

extern pascal Boolean PtInVRect(VPoint *pt, VRect *r);

extern pascal Boolean SectVRect(VRect *src1, VRect *src2, VRect *dstRect);

extern pascal Boolean EmptyVRect(VRect *r);

extern pascal Boolean EqualVRect(VRect *rectA, VRect *rectB);

extern pascal VCoordinate LengthVRect(VRect *r, VHSelect vhs);

extern pascal void PinVRect(VRect *r, VPoint *pt);

extern pascal void UnionVRect(VRect *src1, VRect *src2, VRect *dstRect);

extern pascal void Pt2VRect(VPoint *topLeft, VPoint *botRight, VRect *dstRect);
#endif

