{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n-]}

{ UDemoText.p }
{ Copyright  1985 - 1990 by Apple Computer, Inc. All rights reserved. }

{
	This sample application demonstrates the breadth of alternatives
	available when using the MacApp building-block "UTEView" for text-editing.
}

UNIT UDemoText;

	INTERFACE

		USES
			{  MacApp }
			UMacApp,

			{  Building Blocks }
			UPrinting, UTEView,

			{  Required for this unit's interface }
			UTEDocument,

			{  Implementation use }
			ToolUtils, Fonts, Resources, Script, Picker;

		CONST

			kSignature			= 'SS04';				{ application signature }
			kFileType			= kTextFileType;		{ file-type code for saved disk files --
														 uses standard text files }

		TYPE

			TDemoTextApplication = OBJECT (TApplication)

				PROCEDURE TDemoTextApplication.IDemoTextApplication;
				{ Initialize the Application }

				FUNCTION TDemoTextApplication.DoMakeDocument(itsCmdNumber: CmdNumber): TDocument;
					OVERRIDE;
				{ Launches a TTextDocument }

				{$IFC qDebug}
				PROCEDURE TDemoTextApplication.IdentifySoftware; OVERRIDE;
				{ Write out software versions to the debug window }
				{$ENDC}

				END;

	IMPLEMENTATION

		{$I UDemoText.inc1.p}

END.
