// Copyright  1986-1990 Apple Computer, Inc.  All rights reserved.
// Default resource file.

//  Auto-Include the requirements for this source
#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

// Get the application's CODE.  Note that this is done this way so that the application can
// be linked and/or rezzed separately.  Also, Rez currently (MPW 3.0) does not support
// -align longword simultaneously with the -append option (but it only tells you if you're
// getting -p progress indication).
include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';

// Basic resources for various purposes.
// Self evident from their names!
include "MacApp.rsrc";
include "Dialog.rsrc";
include "Printing.rsrc";

#if qDebug
include "Debug.rsrc";
#endif


// Now include the "default" resources
// Note: you can pick and choose to selectively replace defaults in your own Rez source.
#if qTemplateViews
include "Defaults.rsrc"  'view' (kDefaultViewID);
include "Defaults.rsrc"  'view' (kDefaultWindowID);
#endif

include "Defaults.rsrc"  'ALRT' (phAboutApp);
include "Defaults.rsrc"  'cmnu' (mBuzzwords);
include "Defaults.rsrc"  'cmnu' (mApple);
include "Defaults.rsrc"  'cmnu' (mEdit);
include "Defaults.rsrc"  'cmnu' (mFile);
include "Defaults.rsrc"  'DITL' (phAboutApp);
include "Defaults.rsrc"  'MBAR' (kMBarDisplayed);
include "Defaults.rsrc"  'SIZE' (-1);
include "Defaults.rsrc"  'STR#' (kDefaultCredits);
include "Defaults.rsrc"  'WIND' (kDefaultWindowID);

// Get the default MacApp application icon and necessary bundling rsrcs
include "Defaults.rsrc"  'MApp' (0);
include "Defaults.rsrc"  'FREF' (128);
include "Defaults.rsrc"  'BNDL' (128);
include "Defaults.rsrc"  'ICN#' (128);

// Get the default Version resources
include "Defaults.rsrc"  'vers' (1);		// Application or file specific
include "Defaults.rsrc"  'vers' (2);		// Overall package
