// MIconEdit.p
// copyright  1988, 1989 by Apple Computer, Inc.  All rights reserved.

// Includes
//  MacApp
#include <UMacApp.h>

//  Building Blocks
#include <UPrinting.h>

//  Implementation Use
#include <UIconEdit.h>


void main()
{
	TIconEditApplication	*gIconEditApplication;

	InitToolBox();												// Essential toolbox and utilities initialization
	
	if (ValidateConfiguration(&gConfiguration))
		{
		InitUMacApp(8);											// Initialize MacApp with 8 calls to MoreMasters.
		InitUPrinting();											// Initialize printing.

		gIconEditApplication = new TIconEditApplication;		// Create a new TIconEditApplication object.
		FailNIL(gIconEditApplication);							// Make sure it didn't fail.
		gIconEditApplication->IIconEditApplication(kFileType);
		gIconEditApplication->Run();							// Run the application.  When it's done, exit.
		}
	else
		StdAlert(phUnsupportedConfiguration);
}
