{
	This is a customized version of UMacApp.p from PrivateInterfaces
	for use with the THINK Pascal MacApp converter.
	
	In this file, the $I directives in the implementation part have been
	removed in order to reduce the overall size of the file.
	
	Rich Siegel, 8/22/89
}
	
{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ UMacApp.p }
{ Copyright  1984-1989  Apple Computer, Inc.  All rights reserved. }

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := FALSE}
{$ENDC}

UNIT UMacApp;

	INTERFACE

		USES
{$SETC __UMacApp__ := TRUE}
			{  MacApp }
			{$U $$Shell(MAPInterfaces)UMacAppUtilities} UMacAppUtilities,
			{$U $$Shell(MAPInterfaces)UViewCoords} UViewCoords,
			{$U $$Shell(MAPInterfaces)UFailure} UFailure,
			{$U $$Shell(MAPInterfaces)UMemory} UMemory,
			{$U $$Shell(MAPInterfaces)UMenuSetup} UMenuSetup,
			{$U $$Shell(MAPInterfaces)UObject} UObject,
			{$U $$Shell(MAPInterfaces)UList} UList,
			{$U $$Shell(MAPInterfaces)UAssociation} UAssociation,

			{  Implementation use }
			{$U $$Shell(MAPInterfaces)UPatch} UPatch,
			{$U $$Shell(MAPInterfaces)UBusyCursor} UBusyCursor,
			{$U $$Shell(MAPInterfaces)ULoMem} ULoMem,
			{$U $$Shell(MAPInterfaces)UDebug} UDebug,
			{$IFC qInspector}
			{$U $$Shell(MAPInterfaces)UInspector} UInspector,
			{$ENDC}

			ToolUtils, Resources, Fonts, Desk, FixMath, Controls,
			Windows, Dialogs, Packages, Script, Traps, OSEvents, Devices
			, DiskInit, Errors, PasLibIntf;

{$SETC __UMacApp__ := FALSE}
			{  Include the public interface }
			{$SETC _UMacAppIncludes := UsingIncludes}
			{$SETC UsingIncludes := TRUE}
			{$I+}
			{$I $$Shell(MAPInterfaces)UMacApp.p}
			{$SETC UsingIncludes := _UMacAppIncludes}

	IMPLEMENTATION

	{$I UMacApp.Globals.p}
	
END.
