/************************************************************

Created: Friday, October 20, 1989 at 12:16 PM
	ROMDefs.h
	C Interface to the Macintosh Libraries


	Copyright Apple Computer, Inc.	1986-1990
	All rights reserved

************************************************************/


#ifndef __ROMDEFS__
#define __ROMDEFS__

enum {appleFormat = 1};                         /*Format of Declaration Data (IEEE will assign real value)*/
enum {romRevision = 1};                         /*Revision of Declaration Data Format*/
enum {testPattern = 1519594439};                /*FHeader long word test pattern*/
enum {sCodeRev = 2};                            /*Revision of code (For sExec)*/
enum {sCPU68000 = 1};                           /*CPU type = 68000*/
enum {sCPU68020 = 2};                           /*CPU type = 68020*/
enum {sCPU68030 = 3};                           /*CPU type = 68030*/
enum {sCPU68040 = 4};                           /*CPU type = 68040*/
enum {sMacOS68000 = 1};                         /*Mac OS, CPU type = 68000*/
enum {sMacOS68020 = 2};                         /*Mac OS, CPU type = 68020*/
enum {sMacOS68030 = 3};                         /*Mac OS, CPU type = 68030*/
enum {sMacOS68040 = 4};                         /*Mac OS, CPU type = 68040*/
enum {board = 0};                               /*Board sResource - Required on all boards*/
enum {displayVideoAppleTFB = 16843009};         /*Video with Apple parameters for TFB card.*/
enum {displayVideoAppleGM = 16843010};          /*Video with Apple parameters for GM card.*/
enum {networkEtherNetApple3Com = 33620225};     /*Ethernet with apple parameters for 3-Comm card.*/
enum {testSimpleAppleAny = -2147417856};        /*A simple test sResource.*/
enum {endOfList = 255};                         /*End of list*/
enum {defaultTO = 100};                         /*100 retries.*/
enum {sRsrcType = 1};                           /*Type of sResource*/
enum {sRsrcName = 2};                           /*Name of sResource*/
enum {sRsrcIcon = 3};                           /*Icon*/
enum {sRsrcDrvrDir = 4};                        /*Driver directory*/
enum {sRsrcLoadDir = 5};                        /*Load directory*/
enum {sRsrcBootRec = 6};                        /*sBoot record*/
enum {sRsrcFlags = 7};                          /*sResource Flags*/
enum {sRsrcHWDevId = 8};                        /*Hardware Device Id*/
enum {minorBaseOS = 10};                        /*Offset to base of sResource in minor space.*/
enum {minorLength = 11};
enum {majorBaseOS = 12};                        /*Offset to base of sResource in Major space.*/
enum {majorLength = 13};
enum {sGammaDir = 64};							/*sGamma directory*/
enum {sDRVRDir = 16};                           /*sDriver directory*/
enum {drSwApple = 1};
enum {drHwTFB = 1};
enum {drHw3Com = 1};
enum {drHwBSC = 3};
enum {catBoard = 1};
enum {catTest = 2};
enum {catDisplay = 3};
enum {catNetwork = 4};
enum {boardId = 32};                            /*Board Id*/
enum {pRAMInitData = 33};                       /*sPRAM init data*/
enum {primaryInit = 34};                        /*Primary init record*/
enum {timeOutConst = 35};                       /*Time out constant*/
enum {vendorInfo = 36};                         /*Vendor information List. See Vendor List, below*/
enum {boardFlags = 37};                         /*Board Flags*/
enum {vendorId = 1};                            /*Vendor Id*/
enum {serialNum = 2};                           /*Serial number*/
enum {revLevel = 3};                            /*Revision level*/
enum {partNum = 4};                             /*Part number*/
enum {date = 5};                                /*Last revision date of the card*/
enum {typeBoard = 0};
enum {typeApple = 1};
enum {typeVideo = 1};
enum {typeEtherNet = 1};
enum {testByte = 32};                           /*Test byte.*/
enum {testWord = 33};                           /*0021*/
enum {testLong = 34};                           /*Test Long.*/
enum {testString = 35};                         /*Test String.*/


#endif
