{
	Created: Thursday, November 2, 1989 
	EPPC.p
	Pascal Interface to the Macintosh Libraries

	Copyright Apple Computer, Inc.	1989-1990
	All rights reserved
}

{$IFC UNDEFINED UsingIncludes}
	{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
	UNIT EPPC;
	INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingEPPC}
{$SETC UsingEPPC := 1}

{$I+}
{$SETC EPPCIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingEvents}
{$I $$Shell(PInterfaces)Events.p}
{$ENDC}
{$IFC UNDEFINED UsingPPCToolBox}
{$I $$Shell(PInterfaces)PPCToolBox.p}
{$ENDC}
{$IFC UNDEFINED UsingProcesses}
{$I $$Shell(PInterfaces)Processes.p}
{$ENDC}
{$SETC UsingIncludes := EPPCIncludes}

CONST
	kHighLevelEvent 		=	23; 
	
	{ postOptions currently supported }
	receiverIDMask			=	$0000F000;
	receiverIDisPSN 		=	$00008000;
	receiverIDisSignature	=	$00007000;
	receiverIDisSessionID	=	$00006000;
	receiverIDisTargetID	=	$00005000;
	
	systemOptionMask		=	$00000F00;
	nReturnReceipt			=	$00000200;
	
	priorityMask			=	$000000FF;
	nAttnMsg				=	$00000001;
	
	{ error returns from Post and Accept }
	bufferIsSmall			=	-607;
	noOutstandingHLE		=	-608;
	connectionInValid		=	-609;

	HighLevelEventMsgClass	=	'jaym';

	rtrnReciptMsgID			=	'rtrn';
	msgWasPartiallyAccepted	=	2;
	msgWasFullyAccepted		=	1;
	msgWasNotAccepted		=	0;

TYPE
	TargetID	=	RECORD
						sessionID:	LONGINT;
						name:		PortName;
						location:	LocationName;
						recvrName:	PortName;
					END;
								
TYPE
	HighLevelEventMsgPtr=	^HighLevelEventMsg;
	HighLevelEventMsg	=	RECORD
								HighLevelEventMsgHeaderLength:	INTEGER;
								version:						INTEGER;
								reserved1:						LONGINT;
								theMsgEvent:					EventRecord;
								userRefcon:						LONGINT;
								postingOptions:					LONGINT;
								msgLength:						LONGINT;
							END;
								
FUNCTION PostHighLevelEvent(	theEvent:		EventRecord;
						receiverID: 	Ptr {UNIV LONGINT};
						msgRefcon:		LONGINT;
						msgBuff:		Ptr;
						msgLen: 		LONGINT;
						postingOptions: LONGINT): OSErr;
	INLINE $3F3C, $0034, $A88F;

FUNCTION AcceptHighLevelEvent(VAR sender: 	TargetID;
						VAR msgRefcon:	LONGINT;
							msgBuff:	Ptr;
						VAR msgLen: 	LONGINT): OSErr;
	INLINE $3F3C, $0033, $A88F;

FUNCTION GetProcessSerialNumberFromPortName(port:	PortName;
									VAR PSN: ProcessSerialNumber): OSErr;
	INLINE $3F3C, $0035, $A88F;
									
FUNCTION GetPortNameFromProcessSerialNumber(VAR port:	PortName;
									PSN: ProcessSerialNumber): OSErr;
	INLINE $3F3C, $0046, $A88F;
									
FUNCTION GetSpecificHighLevelEvent(aFilter: ProcPtr;
									VAR params: LONGINT;
									VAR err: OSErr): Boolean;
	INLINE $3F3C, $0045, $A88F;

{FUNCTION aFilter(VAR params: LONGINT;				}
{					msgBuff: HighLevelEventMsgPtr;	}
{					sender: TargetID): Boolean;		}

{$ENDC}    { UsingEPPC }

{$IFC NOT UsingIncludes}
	END.
{$ENDC}

