{
Created: Wednesday, June 27, 1990 at 6:42 PM
    OutlineCalls.p
    Pascal Interface to the Macintosh Libraries

        Copyright Apple Computer, Inc. 1989-1990
        All rights reserved
}


{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
    UNIT OutlineCalls;
    INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingOutlineCalls}
{$SETC UsingOutlineCalls := 1}

{$I+}
{$SETC OutlineCallsIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}
{$IFC UNDEFINED UsingTypes}
{$I $$Shell(PInterfaces)Types.p}
{$ENDC}
{$IFC UNDEFINED UsingMemTypes}
{$I $$Shell(PInterfaces)MemTypes.p}
{$ENDC}
{$IFC UNDEFINED UsingQuickDraw}
{$I $$Shell(PInterfaces)QuickDraw.p}
{$ENDC}
{$IFC UNDEFINED UsingOSIntf}
{$I $$Shell(PInterfaces)OSIntf.p}
{$ENDC}
{$IFC UNDEFINED UsingToolIntf}
{$I $$Shell(PInterfaces)ToolIntf.p}
{$ENDC}
{$SETC UsingIncludes := OutlineCallsIncludes}

CONST
{}
{* ERRORS *}
{}
	BITFONT_ERR = $8099;				{* Outline metrics was called with a bitmap font *}

{}
{* Selectors *}
{}
	IS_OUTLINE 				= $0000;
	SET_OUTLINEPREFERRED 	= $0001;

	OUTLINE_METRICS 		= $0008;
	GET_OUTLINEPREFERRED 	= $0009;
	SET_PRESERVE_GLYPHS 	= $000A;
	GET_PRESERVE_GLYPHS 	= $000B;
	FLUSH_FONTS 			= $000C;


TYPE
	TPFixed = ^Fixed;
	TRectPtr = ^Rect;
	
FUNCTION IsOutline(numer, denom : Point): BOOLEAN;
		INLINE $7000, $A854;
	
PROCEDURE SetOutlinePreferred(useSpline: BOOLEAN);
		INLINE $7001, $A854;

FUNCTION GetOutlinePreferred: BOOLEAN;
			INLINE $7009, $A854;

FUNCTION OutlineMetrics(glyphCount : INTEGER;
								textPtr : Ptr;
								numer, denom : Point;
								VAR yMax : INTEGER;
								VAR yMin : INTEGER;
								awArray : TPFixed;
								lsbArray : TPFixed;
								boundsArray : TRectPtr): OSErr;
		INLINE $7008, $A854;

PROCEDURE SetPreserveGlyph(turnOffLineHeight : BOOLEAN);
		INLINE $700A, $A854;
	
FUNCTION GetPreserveGlyph : BOOLEAN;
		INLINE $700B, $A854;

FUNCTION FlushFonts : OSErr;
		INLINE $700C, $A854;

{$ENDC}    { UsingOutlineCalls }

{$IFC NOT UsingIncludes}
    END.
{$ENDC}

