/* Copyright Apple Computer, Inc. 1981-1988

This resource initializes MacsBug options for:

	 The number of traps that are recorded using ATR/ATP commands
	 The number of lines in the PC window
	 The number of bytes used to save the command history

If no mxbi resource is found then MacsBug defaults to:

	 16 traps recorded
	 2  lines in the PC window
	 2K bytes of command history

*/

type 'mxbi' { integer; integer; integer; };
	
resource 'mxbi' (0) {
 	16,		/* Record the last 16 traps */
	2,		/* Display the procedure name and one disassembled lines */
	2048;	/* Save 2K bytes of command output for later review */
};


